Bug 137977 - Update port: audio/gnome-media Added new options
Summary: Update port: audio/gnome-media Added new options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-19 22:10 UTC by Israel Jacques
Modified: 2009-08-23 01:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Israel Jacques 2009-08-19 22:10:01 UTC
Updated port with new options to enable/disable EsoundD, IPv6, and PulseAudio support. Also, there were some files that are installed that were missing in the pkg-plist file.
--------------------------------------------------------------------------------
--- Makefile.orig	2009-08-19 09:50:52.000000000 -0700
+++ Makefile	2009-08-19 13:38:07.000000000 -0700
@@ -1,9 +1,9 @@
-# New ports collection makefile for:	gnomemedia2
+# New ports collection makefile for:	gnome-media
 # Date created:				06 May 2002
 # Whom:					Joe Marcus Clarke <marcus@FreeBSD.org>
 #
-# $FreeBSD: ports/audio/gnome-media/Makefile,v 1.87 2009/08/03 02:33:34 mezz Exp $
-#   $MCom: ports/audio/gnome-media/Makefile,v 1.130 2009/03/17 22:20:16 kwm Exp $
+# $FreeBSD$
+# $MCom$
 #
 
 PORTNAME=	gnome-media
@@ -16,8 +16,7 @@
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Multimedia applications for the GNOME 2 desktop
 
-LIB_DEPENDS=	pulse.0:${PORTSDIR}/audio/pulseaudio \
-		canberra-gtk.0:${PORTSDIR}/audio/libcanberra \
+LIB_DEPENDS=	canberra-gtk.0:${PORTSDIR}/audio/libcanberra \
 		unique-1.0.2:${PORTSDIR}/x11-toolkits/unique
 
 USE_BZIP2=	yes
@@ -28,19 +27,43 @@
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 GNOME_DESKTOP_VERSION=2
-USE_GNOME=	gnomeprefix gnomehack intlhack gnomedesktop
-USE_GSTREAMER=	cdparanoia esound gconf good
-CONFIGURE_ARGS=	--enable-ipv6
+USE_GNOME=	gnomeprefix gnomehack intlhack
+USE_GSTREAMER=	gconf good
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LDFLAGS="-L${LOCALBASE}/lib"
 
 GCONF_SCHEMAS=	gnome-audio-profiles.schemas \
 		gnome-sound-recorder.schemas
 
+OPTIONS=	ESOUND "Enable the EsounD module" on \
+		IPV6 "Enable the IPv6 protocol" on \
+		PULSEAUDIO "Enable the PulseAudio module" on
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_ESOUND)
+USE_GNOME+= gnomedesktop
+USE_GSTREAMER+=	esound
+PLIST_SUB+=     VUMETER=""
+.else
+CONFIGURE_ARGS+=--disable-esound --disable-esdtest
+PLIST_SUB+=	VUMETER="@comment "
+.endif
+
+.if defined(WITHOUT_IPV6)
+CONFIGURE_ARGS+=--disable-ipv6
+.endif
+
+.if defined(WITH_PULSEAUDIO)
+LIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
+.else
+CONFIGURE_ARGS+=--disable-pulse
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|[$$][(]CDROM_HOST[)]|freebsd|g' \
 		${WRKSRC}/gnome-cd/Makefile.in
 	@${REINPLACE_CMD} -e 's|acd0c|acd0|g ; s|== "xyes|= "xyes|g' \
 		${WRKSRC}/configure
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--------------------------------------------------------------------------------
--- pkg-plist.orig	2009-08-19 10:37:43.000000000 -0700
+++ pkg-plist	2009-08-19 12:09:01.000000000 -0700
@@ -1,9 +1,9 @@
 bin/gnome-audio-profiles-properties
 bin/gnome-sound-recorder
 bin/gnome-volume-control
-bin/gnome-volume-control-applet
+%%VUMETER%%bin/gnome-volume-control-applet
 bin/gstreamer-properties
-etc/xdg/autostart/gnome-volume-control-applet.desktop
+%%VUMETER%%etc/xdg/autostart/gnome-volume-control-applet.desktop
 include/gnome-media/profiles/audio-profile-choose.h
 include/gnome-media/profiles/audio-profile-edit.h
 include/gnome-media/profiles/audio-profile.h
@@ -21,26 +21,28 @@
 share/applications/gnome-volume-control.desktop
 share/applications/gstreamer-properties.desktop
 %%DATADIR%%/glade/gnome-audio-profiles.glade2
-%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-high.png
-%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-low.png
-%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-medium.png
-%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-muted.png
-%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-high.png
-%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-low.png
-%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-medium.png
-%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-muted.png
-%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-high.png
-%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-low.png
-%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-medium.png
-%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-muted.png
-%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-high.png
-%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-low.png
-%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-medium.png
-%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-muted.png
-%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-high.svg
-%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-low.svg
-%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-medium.svg
-%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-muted.svg
+%%VUMETER%%%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-high.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-low.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-medium.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/16x16/status/audio-input-microphone-muted.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-high.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-low.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-medium.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/22x22/status/audio-input-microphone-muted.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-high.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-low.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-medium.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/24x24/status/audio-input-microphone-muted.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-high.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-low.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-medium.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/32x32/status/audio-input-microphone-muted.png
+%%VUMETER%%%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-high.svg
+%%VUMETER%%%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-low.svg
+%%VUMETER%%%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-medium.svg
+%%VUMETER%%%%DATADIR%%/icons/hicolor/scalable/status/audio-input-microphone-muted.svg
+%%DATADIR%%/pixmaps/chain-broken.png
+%%DATADIR%%/pixmaps/chain.png
 %%DATADIR%%/sounds/gnome-sounds-default.xml
 share/gnome-sound-recorder/ui/ui.xml
 share/gnome/help/gnome-sound-recorder/C/figures/grecord_window.png
@@ -92,21 +94,21 @@
 share/gstreamer-properties/glade/gstreamer-properties.glade
 share/gstreamer-properties/icons/gstreamer-properties.png
 share/icons/hicolor/16x16/apps/gnome-sound-recorder.png
-share/icons/hicolor/16x16/apps/gnome-volume-control.png
-share/icons/hicolor/16x16/apps/gnome-volume-control.svg
+%%VUMETER%%share/icons/hicolor/16x16/apps/gnome-volume-control.png
+%%VUMETER%%share/icons/hicolor/16x16/apps/gnome-volume-control.svg
 share/icons/hicolor/22x22/apps/gnome-sound-recorder.png
-share/icons/hicolor/22x22/apps/gnome-volume-control.png
-share/icons/hicolor/22x22/apps/gnome-volume-control.svg
+%%VUMETER%%share/icons/hicolor/22x22/apps/gnome-volume-control.png
+%%VUMETER%%share/icons/hicolor/22x22/apps/gnome-volume-control.svg
 share/icons/hicolor/24x24/apps/gnome-sound-recorder.png
-share/icons/hicolor/24x24/apps/gnome-volume-control.png
+%%VUMETER%%share/icons/hicolor/24x24/apps/gnome-volume-control.png
 share/icons/hicolor/32x32/apps/gnome-sound-recorder.png
-share/icons/hicolor/32x32/apps/gnome-volume-control.png
-share/icons/hicolor/32x32/apps/gnome-volume-control.svg
+%%VUMETER%%share/icons/hicolor/32x32/apps/gnome-volume-control.png
+%%VUMETER%%share/icons/hicolor/32x32/apps/gnome-volume-control.svg
 share/icons/hicolor/48x48/apps/gnome-sound-recorder.png
-share/icons/hicolor/48x48/apps/gnome-volume-control.png
+%%VUMETER%%share/icons/hicolor/48x48/apps/gnome-volume-control.png
 share/icons/hicolor/48x48/apps/gstreamer-properties.png
 share/icons/hicolor/scalable/apps/gnome-sound-recorder.svg
-share/icons/hicolor/scalable/apps/gnome-volume-control.svg
+%%VUMETER%%share/icons/hicolor/scalable/apps/gnome-volume-control.svg
 share/locale/am/LC_MESSAGES/gnome-media-2.0.mo
 share/locale/ar/LC_MESSAGES/gnome-media-2.0.mo
 share/locale/as/LC_MESSAGES/gnome-media-2.0.mo
@@ -270,19 +272,20 @@
 @dirrm share/gnome/help/gnome-sound-recorder
 @dirrm share/gnome-sound-recorder/ui
 @dirrm share/gnome-sound-recorder
+@dirrm %%DATADIR%%/pixmaps
 @dirrm %%DATADIR%%/sounds
-@dirrm %%DATADIR%%/icons/hicolor/scalable/status
-@dirrm %%DATADIR%%/icons/hicolor/scalable
-@dirrm %%DATADIR%%/icons/hicolor/32x32/status
-@dirrm %%DATADIR%%/icons/hicolor/32x32
-@dirrm %%DATADIR%%/icons/hicolor/24x24/status
-@dirrm %%DATADIR%%/icons/hicolor/24x24
-@dirrm %%DATADIR%%/icons/hicolor/22x22/status
-@dirrm %%DATADIR%%/icons/hicolor/22x22
-@dirrm %%DATADIR%%/icons/hicolor/16x16/status
-@dirrm %%DATADIR%%/icons/hicolor/16x16
-@dirrm %%DATADIR%%/icons/hicolor
-@dirrm %%DATADIR%%/icons
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/scalable/status
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/scalable
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/32x32/status
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/32x32
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/24x24/status
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/24x24
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/22x22/status
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/22x22
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/16x16/status
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor/16x16
+%%VUMETER%%@dirrm %%DATADIR%%/icons/hicolor
+%%VUMETER%%@dirrm %%DATADIR%%/icons
 @dirrm %%DATADIR%%/glade
 @dirrm %%DATADIR%%
 @dirrmtry share/applications
--------------------------------------------------------------------------------
Comment 1 Edwin Groothuis freebsd_committer 2009-08-19 22:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2009-08-22 18:40:16 UTC
State Changed
From-To: open->feedback

Can you resubmit your patch as a MIME attachment so it can be easily applied? 
Thanks.
Comment 3 Joe Marcus Clarke freebsd_committer 2009-08-23 01:25:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2009-08-23 01:25:53 UTC
marcus      2009-08-23 00:25:40 UTC

  FreeBSD ports repository

  Modified files:
    audio/gnome-media    Makefile pkg-plist 
  Log:
  Add OPTIONS for esound, IPv6, and pulseaudio support.
  
  PR:             137977
  Submitted by:   Israel Jacques <mrkotfw@gmail.com>
  
  Revision  Changes    Path
  1.88      +28 -6     ports/audio/gnome-media/Makefile
  1.37      +46 -43    ports/audio/gnome-media/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"